#include <bits/stdc++.h>

using namespace std;

int main()
{
	int a,n;
	cin>>n>>a;
	
	int p1 = 0,d1 = 0;
	int p2 = 0,d2 = 0;
	int p3 = 0,d3 = 0;
	int razlika = 0;
	
	if(n>=3*a)
	{
		p1 = a;
		p2 = a;
		p3 = a;
		
		razlika = n - 3*a;
		
		if(razlika<a-2) 
		{
			d1+=razlika;
			razlika=0;
        }
		if(razlika>=a-2)
		{
			d1+=a-2;
			razlika-=a-2;
		}
		if(razlika>=a-2)
		{
			d2+=a-2;
			razlika-=a-2;
		}
		if(razlika>=a-2)
		{
			d3+=a-2;
			razlika-=a-2;
		}
		if(razlika % 2 == 0 && razlika > 0)
		{
			p1+=razlika/2;
			d1+=razlika/2;
		}
		else if(razlika>0 && d2>=1)
		{
			d2-=1;
			p1+=(razlika+1)/2;
			d1+=(razlika+1)/2;
		}
		cout<<p1<<" "<<d1<<endl<<p2<<" "<<d2<<endl<<p3<<" "<<d3<<endl;
	}
	else
	{ 
	   cout<<-1;
	}
	return 0;	
}